#ifndef WORLDPAINTER_H
#define WORLDPAINTER_H

namespace ui
{
	class WorldPainter
	{
	public:
		WorldPainter(){};
		virtual ~WorldPainter(){};

		/**
		 * Draws what needs to be behind the Gui.
		 * If an object of this class is passed to the gui paint(WorldPainter* worldPainter) function,
		 * then this function will be called every frame, before painting the gui.
		 * The GL_PROJECTION matrix is the same matrix set before calling gui's paint(WorldPainter* worldPainter)
		 */
		virtual void paintWorld() = 0;
	};
}

#endif